/*
  Name : initTimer.cpp
  Copyright : KPAMEGAN & ROUSSET
  Authors : KPAMEGAN Karel, ROUSSET Baptiste
  Description: file which contents parameters of the screens ( times, number of blinking, ... )
*/

#include "initTimer.hpp"

/*
  Name : InitTimes
  Finality : this is the constructor
  Decription : set the time to wait bettween to screens,
               set the number of blinking of the title of the alerts screen,
	       set the state if we want to display the logs or not
*/
InitTimes::InitTimes(int time,int number,bool log)
{
  timeInterScreen=time;
  numberBlinkTitle=number;
  logs=log;
}

/*
  Name : InitTimes
  Finality : this is the destructor
  Decription : empty
*/
InitTimes::~InitTimes()
{

}

/*
  Name : set_timeInterScreen
  Finality : this is a setter
  Decription : set the time to wait bettween to screens
*/
void InitTimes::set_timeInterScreen(int time)
{
  timeInterScreen=time;
}

/*
  Name : set_numberBlinkTitle
  Finality : this is a setter
  Decription : set the number of blinking of the title of the alerts screen
*/
void InitTimes::set_numberBlinkTitle(int number)
{
  numberBlinkTitle=number;
}

/*
  Name : set_state_log
  Finality : this is a setter
  Decription : set the state if we want to display the logs or not
*/
void InitTimes::set_state_log(bool state)
{
  logs=state;
}

/*
  Name : get_timeInterScreen
  Finality : this is a getter
  Decription : get the time to wait bettween to screens
*/
int InitTimes::get_timeInterScreen(void)
{
  return timeInterScreen;
}

/*
  Name : get_numberBlinkTitle
  Finality : this is a getter
  Decription : get the number of blinking of the title of the alerts screen
*/
int InitTimes::get_numberBlinkTitle(void)
{
  return numberBlinkTitle;
}

/*
  Name : get_state_log
  Finality : this is a getter
  Decription : get the state if we want to display the logs or not
*/
bool InitTimes::get_bool_log(void)
{
  return logs;
}

